net/rp-l2tp - The NetBSD Packages Collection

User-space implementation of layer 2 tunnelling protocol

l2tpd is a user-space L2TP daemon.  L2TP is the Layer Two Tunneling
Protocol described in RFC 2661.  It allows you to tunnel PPP sessions
over a network or transport protocol (in this case, UDP.)

Part of the l2tp code is implemented in the l2tpd program, and part of
it is implemented as "handlers".  A handler is a shared-object library
which is dynamically linked into l2tpd at run-time using the
"load-handler" configuration directive.

Although the handlers included with this package (sync-pppd and cmd)
are licensed under the GPL, as a special exception, you may write your
own handlers which link to code in this package and not release them
under the GPL.  There may be other reasons why your handlers must
be released under the GPL (for example, they may link with other GPL'd
code), but in the absence of other reasons, you may keep your handlers
proprietary.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 8.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 8.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 8.0i386rp-l2tp-0.3nb1.tgz
NetBSD 8.0i386rp-l2tp-0.3nb1.tgz
NetBSD 8.0i386rp-l2tp-0.3nb1.tgz
NetBSD 8.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 8.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 8.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 8.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 8.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 8.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 8.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0aarch64rp-l2tp-0.3nb1.tgz
NetBSD 9.0aarch64rp-l2tp-0.3nb1.tgz
NetBSD 9.0aarch64rp-l2tp-0.3nb1.tgz
NetBSD 9.0alpharp-l2tp-0.3nb1.tgz
NetBSD 9.0alpharp-l2tp-0.3nb1.tgz
NetBSD 9.0alpharp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv6hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv6hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv6hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0earmv7hfrp-l2tp-0.3nb1.tgz
NetBSD 9.0i386rp-l2tp-0.3nb1.tgz
NetBSD 9.0i386rp-l2tp-0.3nb1.tgz
NetBSD 9.0i386rp-l2tp-0.3nb1.tgz
NetBSD 9.0mips64ebrp-l2tp-0.3nb1.tgz
NetBSD 9.0mips64ebrp-l2tp-0.3nb1.tgz
NetBSD 9.0mips64ebrp-l2tp-0.3nb1.tgz
NetBSD 9.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 9.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 9.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 9.0powerpcrp-l2tp-0.3nb1.tgz
NetBSD 9.0sparc64rp-l2tp-0.3nb1.tgz
NetBSD 9.0sparc64rp-l2tp-0.3nb1.tgz
NetBSD 9.0sparc64rp-l2tp-0.3nb1.tgz
NetBSD 9.0sparc64rp-l2tp-0.3nb1.tgz
NetBSD 9.0sparcrp-l2tp-0.3nb1.tgz
NetBSD 9.0sparcrp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz
NetBSD 9.0x86_64rp-l2tp-0.3nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.